Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 3680)
@@ -21,5 +21,4 @@
    USE trc               ! passive tracers common variables
    USE trcnam_trp        ! Transport namelist
-   USE trcnam_lobster    ! LOBSTER namelist
    USE trcnam_pisces     ! PISCES namelist
    USE trcnam_cfc        ! CFC SMS namelist
@@ -53,5 +52,5 @@
       !! ** Method  : - read passive tracer namelist 
       !!              - read namelist of each defined SMS model
-      !!                ( (LOBSTER, PISCES, CFC, MY_TRC )
+      !!                ( (PISCES, CFC, MY_TRC )
       !!---------------------------------------------------------------------
       INTEGER ::  jn, ierr
@@ -60,5 +59,6 @@
       !!
       NAMELIST/namtrc/ nn_dttrc, nn_writetrc, ln_rsttr, nn_rsttr, &
-         &             cn_trcrst_in, cn_trcrst_out, sn_tracer, ln_trcdta, ln_trcdmp
+         &             cn_trcrst_in, cn_trcrst_out, sn_tracer, ln_trcdta, ln_trcdmp, &
+         &             ln_top_euler
 #if defined key_trdmld_trc  || defined key_trdtrc
       NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
@@ -79,4 +79,5 @@
       nn_dttrc      = 1                 ! default values
       nn_writetrc   = 10 
+      ln_top_euler  = .FALSE.
       ln_rsttr      = .FALSE.
       nn_rsttr      =  0
@@ -120,4 +121,5 @@
          WRITE(numout,*) '   Read inputs data from file (y/n)             ln_trcdta     = ', ln_trcdta
          WRITE(numout,*) '   Damping of passive tracer (y/n)              ln_trcdmp     = ', ln_trcdmp
+         WRITE(numout,*) '   Use euler integration for TRC (y/n)          ln_top_euler  = ', ln_top_euler
          WRITE(numout,*) ' '
          DO jn = 1, jptra
@@ -234,8 +236,4 @@
       ! namelist of SMS
       ! ---------------      
-      IF( lk_lobster ) THEN   ;   CALL trc_nam_lobster      ! LOBSTER bio-model
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          LOBSTER not used'
-      ENDIF
-
       IF( lk_pisces  ) THEN   ;   CALL trc_nam_pisces      ! PISCES  bio-model
       ELSE                    ;   IF(lwp) WRITE(numout,*) '          PISCES not used'
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 3680)
@@ -27,9 +27,4 @@
    USE trcnam_trp
    USE iom
-   USE trcrst_cfc      ! CFC      
-   USE trcrst_lobster  ! LOBSTER  restart
-   USE trcrst_pisces   ! PISCES   restart
-   USE trcrst_c14b     ! C14 bomb restart
-   USE trcrst_my_trc   ! MY_TRC   restart
    USE daymod
    IMPLICIT NONE
@@ -40,6 +35,4 @@
    PUBLIC   trc_rst_wri       ! called by ???
    PUBLIC   trc_rst_cal
-
-   INTEGER, PUBLIC ::   numrtr, numrtw   !: logical unit for trc restart (read and write)
 
    !! * Substitutions
@@ -115,12 +108,4 @@
          CALL iom_get( numrtr, jpdom_autoglo, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) )
       END DO
-
-      IF( lk_lobster )   CALL trc_rst_read_lobster( numrtr )      ! LOBSTER bio-model
-      IF( lk_pisces  )   CALL trc_rst_read_pisces ( numrtr )      ! PISCES  bio-model
-      IF( lk_cfc     )   CALL trc_rst_read_cfc    ( numrtr )      ! CFC     tracers
-      IF( lk_c14b    )   CALL trc_rst_read_c14b   ( numrtr )      ! C14 bomb  tracer
-      IF( lk_my_trc  )   CALL trc_rst_read_my_trc ( numrtr )      ! MY_TRC  tracers
-
-      CALL iom_close( numrtr )
       !
    END SUBROUTINE trc_rst_read
@@ -138,5 +123,4 @@
       !!----------------------------------------------------------------------
       !
-      CALL trc_rst_cal( kt, 'WRITE' )   ! calendar
       CALL iom_rstput( kt, nitrst, numrtw, 'rdttrc1', rdttrc(1) )   ! surface passive tracer time step
       ! prognostic variables 
@@ -149,11 +133,5 @@
          CALL iom_rstput( kt, nitrst, numrtw, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) )
       END DO
-
-      IF( lk_lobster )   CALL trc_rst_wri_lobster( kt, nitrst, numrtw )      ! LOBSTER bio-model
-      IF( lk_pisces  )   CALL trc_rst_wri_pisces ( kt, nitrst, numrtw )      ! PISCES  bio-model
-      IF( lk_cfc     )   CALL trc_rst_wri_cfc    ( kt, nitrst, numrtw )      ! CFC     tracers
-      IF( lk_c14b    )   CALL trc_rst_wri_c14b   ( kt, nitrst, numrtw )      ! C14 bomb  tracer
-      IF( lk_my_trc  )   CALL trc_rst_wri_my_trc ( kt, nitrst, numrtw )      ! MY_TRC  tracers
-
+      !
       IF( kt == nitrst ) THEN
           CALL trc_rst_stat            ! statistics
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsms.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 3680)
@@ -15,5 +15,4 @@
    USE oce_trc            !
    USE trc                !
-   USE trcsms_lobster     ! LOBSTER bio-model
    USE trcsms_pisces      ! PISCES biogeo-model
    USE trcsms_cfc         ! CFC 11 & 12
@@ -49,5 +48,4 @@
       IF( nn_timing == 1 )   CALL timing_start('trc_sms')
       !
-      IF( lk_lobster )   CALL trc_sms_lobster( kt )    ! main program of LOBSTER
       IF( lk_pisces  )   CALL trc_sms_pisces ( kt )    ! main program of PISCES 
       IF( lk_cfc     )   CALL trc_sms_cfc    ( kt )    ! surface fluxes of CFC
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3680)
@@ -78,4 +78,5 @@
          !
                                    CALL trc_rst_opn  ( kt )       ! Open tracer restart file 
+         IF( lrst_trc )            CALL trc_rst_cal  ( kt, 'WRITE' )   ! calendar
          IF( lk_iomput ) THEN  ;   CALL trc_wri      ( kt )       ! output of passive tracers with iom I/O manager
          ELSE                  ;   CALL trc_dia      ( kt )       ! output of passive tracers with old I/O manager
@@ -83,4 +84,5 @@
                                    CALL trc_sms      ( kt )       ! tracers: sinks and sources
                                    CALL trc_trp      ( kt )       ! transport of passive tracers
+         IF( kt == nittrc000 )     CALL iom_close( numrtr )       ! close input tracer restart file
          IF( lrst_trc )            CALL trc_rst_wri  ( kt )       ! write tracer restart file
          IF( lk_trdmld_trc  )      CALL trd_mld_trc  ( kt )       ! trends: Mixed-layer
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 3680)
@@ -29,4 +29,7 @@
    USE sbc_oce         ! surface boundary condition: ocean
    USE bdy_oce
+#if defined key_obc
+   USE obc_oce, ONLY: obctmsk
+#endif
 #if defined key_agrif
    USE agrif_opa_update
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcwri.F90
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 3680)
@@ -18,4 +18,7 @@
    USE dianam      ! Output file name
    USE trcwri_pisces
+   USE trcwri_cfc
+   USE trcwri_c14b
+   USE trcwri_my_trc
 
    IMPLICIT NONE
@@ -69,12 +72,8 @@
       ! write the tracer concentrations in the file
       ! ---------------------------------------
-      IF( lk_pisces )  THEN
-         CALL trc_wri_pisces
-      ELSE
-         DO jn = 1, jptra
-            cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
-            CALL iom_put( cltra, trn(:,:,:,jn) )
-         END DO
-      ENDIF
+      IF( lk_pisces  )   CALL trc_wri_pisces     ! PISCES 
+      IF( lk_cfc     )   CALL trc_wri_cfc        ! surface fluxes of CFC
+      IF( lk_c14b    )   CALL trc_wri_c14b       ! surface fluxes of C14
+      IF( lk_my_trc  )   CALL trc_wri_my_trc     ! MY_TRC  tracers
       !
    END SUBROUTINE trc_wri_trc
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE	(revision 3680)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_CURIE	(revision 3680)
@@ -0,0 +1,78 @@
+#!/bin/bash
+#MSUB -T 3600                # elapsed time limit in seconds   (60 minutes)
+#MSUB -r SETTE_JOB           # Job name
+#MSUB -o sette.jobid_%I.txt  # standard output
+#MSUB -e sette.jobid_%I.txt  # standard error
+
+#======   Thin nodes (1 node = 2 * 8 procs) :   
+#MSUB -n NPROCS              # Total number of mpi task to use
+####  #MSUB -N 2                   # number of nodes to use
+#MSUB -A gen0826             # project name
+#MSUB -q standard            # (queue name) only for thin nodes
+##########################################################################
+#
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+#
+# set up mpp computing environment
+#
+# Local settings for machine BULL (TITANE at CCRT France)
+#
+export MPIRUN="ccc_mprun -np $OCEANCORES"
+
+#
+# load sette functions (only post_test_tidyup needed)
+#
+  . ${SETTE_DIR}/all_functions.sh
+#
+
+# modules to load
+module load netcdf
+
+# Don't remove neither change the following line
+# BODY
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export EXE_DIR=DEF_EXE_DIR
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+#
+# end of set up
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  echo "Running time ${MPIRUN} ./opa"
+#
+  if [ MPI_FLAG == "yes" ]; then
+     time ${MPIRUN} ./opa
+  else
+     time ./opa
+  fi
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous line
+
+
+  exit
+
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/input_AMM12.cfg
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/input_AMM12.cfg	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/input_AMM12.cfg	(revision 3680)
@@ -1,1 +1,1 @@
-amm12_inputs_v3_4.tar
+amm12_inputs_v3_4_spinup.tar 
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/prepare_job.sh	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/prepare_job.sh	(revision 3680)
@@ -149,4 +149,24 @@
 fi
 ################################################################
+
+##########################################################################
+# COPY RESTART FILES (if needed; i.e. only for SHORT job in RESTART TESTS)
+# get the input tarfile if needed
+# SF : not ok for the moment because at this point is needed cn_exp variable,
+# SF : here it it not known.
+#\cd ${EXE_DIR}
+#if [ "$(echo ${TEST_NAME} | grep -c "SHORT" )" -ne 0 ] ; then
+#    for (( i=1; i<=${NB_PROC}; ${NB_PROC}++)) ; do
+#        L_NPROC=`printf "%04d\n" $i`
+#        ln -sf ../LONG/${NEW_CONF}_00000060_restart_${L_NPROC-1}.nc .
+#    done
+#fi
+## SF : other way
+##      for file in ../LONG/${NEW_CONF}_*restart_0*.nc ; do
+##              ncpu=`echo $file | awk -F '_' '{print $NF}' | cut -f 1 -d '.'`
+##              ln -sf ${file}  .
+##      done
+##fi
+##########################################################################
 
 ################################################################
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette.sh	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette.sh	(revision 3680)
@@ -41,9 +41,9 @@
 # BATCH_COMMAND :  name of the command for batch submission
 #
-# MPI_INTERACT :  
-#
-#         for MPP tests, "no" for batch execution, "yes" for interactive execution 
-#
-#         NOTE: for run with 1 process tests are run always in MPI_INTERACT="yes"
+# INTERACT_FLAG :  flag to run in interactive mode "yes"
+#                       to run in batch mode "no"
+#
+# MPIRUN_FLAG   :  flag to run in parallel (MPI) "yes"
+#                       to run in sequential mode (NB_PROC = 1) "no"
 #
 # Principal script is sette.sh, that calls 
@@ -84,9 +84,11 @@
 #
 #
+#  prepare_job.sh
+#
+#  to generate the script run_job.sh
+#
 #  fcm_job.sh 
 #
-#   runs job in interactive or batch mode : all jobs using 1 process are run interactive, and all MPP jobs are
-#
-#   run in batch (MPI_INTERACT="no") or interactive (MPI_INTERACT="yes") see sette.sh and BATCH_TEMPLATE directory
+#   run in batch (INTERACT_FLAG="no") or interactive (INTERACT_FLAG="yes") see sette.sh and BATCH_TEMPLATE directory
 #
 #   (note this job needs to have an input_CONFIG.cfg in which can be found input tar file)
@@ -121,5 +123,5 @@
 # ==========
 #
-# $Id:$
+# $Id$
 #
 #   * creation
@@ -135,4 +137,5 @@
 export MPIRUN_FLAG="yes"
 
+
 # Directory to run the tests
 SETTE_DIR=$(cd $(dirname "$0"); pwd)
@@ -150,10 +153,10 @@
 do
 
-# TESTS FOR GYRE_LOBSTER CONFIGURATION
+# TESTS FOR GYRE CONFIGURATION
 if [ ${config} -eq 1 ] ;  then
-    ## Restartability tests for GYRE_LOBSTER
+    ## Restartability tests for GYRE
     export TEST_NAME="LONG"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRELOB_LONG -r GYRE_LOBSTER add_key "key_mpp_mpi"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_LONG -r GYRE -j 8 add_key "key_mpp_mpi" 
     cd ${SETTE_DIR}
     . param.cfg
@@ -164,5 +167,5 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_LONG\"
+    set_namelist namelist cn_exp \"GYRE_LONG\"
     set_namelist namelist nn_it000 1
     set_namelist namelist nn_itend 120
@@ -170,5 +173,4 @@
     set_namelist namelist ln_clobber .true.
     set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
     set_namelist namelist jpni 2
     set_namelist namelist jpnj 2
@@ -181,5 +183,5 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_SHORT\"
+    set_namelist namelist cn_exp \"GYRE_SHORT\"
     set_namelist namelist nn_it000 61
     set_namelist namelist nn_itend 120
@@ -192,14 +194,9 @@
     set_namelist namelist jpnj 2
     set_namelist namelist jpnij 4
-    set_namelist namelist cn_ocerst_in \"GYRELOB_LONG_00000060_restart\"
-    set_namelist namelist_top cn_trcrst_in \"GYRELOB_LONG_00000060_restart_trc\"
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
+    set_namelist namelist cn_ocerst_in \"GYRE_LONG_00000060_restart\"
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/GYRELOB_LONG_00000060_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/GYRELOB_LONG_00000060_restart_trc_${L_NPROC}.nc .
+        ln -sf ../LONG/GYRE_LONG_00000060_restart_${L_NPROC}.nc .
     done
     cd ${SETTE_DIR}
@@ -210,8 +207,8 @@
 
 if [ ${config} -eq 2 ] ;  then
-    ## Repropducibility tests for GYRE_LOBSTER
+    ## Reproducibility tests for GYRE
     export TEST_NAME="REPRO_1_4"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRELOB_4 -r GYRE_LOBSTER add_key "key_mpp_mpi key_mpp_rep"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_4 -r GYRE -j 8 add_key "key_mpp_mpi key_mpp_rep"
     cd ${SETTE_DIR}
     . param.cfg
@@ -222,5 +219,5 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_14\"
+    set_namelist namelist cn_exp \"GYRE_14\"
     set_namelist namelist nn_it000 1
     set_namelist namelist nn_itend 60
@@ -230,6 +227,4 @@
     set_namelist namelist ln_clobber .true.
     set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_trcdta .false.
     set_namelist namelist jpni 1
     set_namelist namelist jpnj 4
@@ -243,6 +238,9 @@
     export TEST_NAME="REPRO_2_2"
     . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_22\"
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=4
+    \rm $JOB_FILE
+    cd ${EXE_DIR}
+    set_namelist namelist cn_exp \"GYRE_22\"
     set_namelist namelist nn_it000 1
     set_namelist namelist nn_itend 60
@@ -251,6 +249,4 @@
     set_namelist namelist ln_clobber .true.
     set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_trcdta .false.
     set_namelist namelist jpni 2
     set_namelist namelist jpnj 2
@@ -268,5 +264,5 @@
     export TEST_NAME="LONG"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi" 
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi"
     cd ${SETTE_DIR}
     . param.cfg
@@ -290,9 +286,12 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -313,17 +312,22 @@
     set_namelist namelist jpnij 4
     set_namelist namelist nn_solv 2
+    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_top ln_rsttr .true.
+    set_namelist namelist_top nn_rsttr 2
     set_namelist namelist cn_ocerst_in \"O2LP_LONG_00000075_restart\"
     set_namelist namelist_ice cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
     set_namelist namelist_top cn_trcrst_in \"O2LP_LONG_00000075_restart_trc\"
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
@@ -340,8 +344,8 @@
 
 if [ ${config} -eq 4 ] ;  then
-    ## Repropducibility tests for ORCA2_LIM_PISCES
+    ## Reproducibility tests for ORCA2_LIM_PISCES
     export TEST_NAME="REPRO_4_4"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_rep key_mpp_mpi"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep"
     cd ${SETTE_DIR}
     . param.cfg
@@ -365,9 +369,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -378,9 +387,11 @@
     export TEST_NAME="REPRO_2_8"
     . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=16
+    \rm $JOB_FILE
     cd ${EXE_DIR}
     set_namelist namelist nn_it000 1
     set_namelist namelist nn_itend 75
     set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
     set_namelist namelist ln_clobber .true.
     set_namelist namelist jpni 2
@@ -392,9 +403,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -408,5 +424,5 @@
     export TEST_NAME="LONG"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" 
     cd ${SETTE_DIR}
     . param.cfg
@@ -429,9 +445,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -440,7 +461,4 @@
     export TEST_NAME="SHORT"
     . prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    \rm $JOB_FILE
     cd ${EXE_DIR}
     set_namelist namelist cn_exp \"OFFP_SHORT\"
@@ -452,5 +470,4 @@
     set_namelist namelist jpnj 2
     set_namelist namelist jpnij 4
-    cp ../LONG/OFFP_LONG_00000020_restart*nc .
     set_namelist namelist_top ln_diatrc .false.
     set_namelist namelist_top ln_rsttr .true.
@@ -464,9 +481,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE}
@@ -476,8 +498,8 @@
 
 if [ ${config} -eq 6 ] ;  then
-    ## Repropducibility tests for ORCA2_OFF_PISCES
+    ## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_4"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_rep key_mpp_mpi"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep"
     cd ${SETTE_DIR}
     . param.cfg
@@ -499,9 +521,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -512,4 +539,7 @@
     export TEST_NAME="REPRO_2_8"
     . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=16
+    \rm $JOB_FILE
     cd ${EXE_DIR}
     set_namelist namelist nn_it000 1
@@ -524,9 +554,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_varpar .false.
+    set_namelist namelist_pisces ln_dust .false.
+    set_namelist namelist_pisces ln_solub .false.
     set_namelist namelist_pisces ln_river .false.
     set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
+    set_namelist namelist_pisces ln_ironsed .false.
+    set_namelist namelist_pisces ln_hydrofe .false.
+    # put ln_pisdmp to false : no restoring to global mean value
+    set_namelist namelist_pisces ln_pisdmp .false. 
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -535,9 +570,10 @@
 fi
 
+# TESTS FOR AMM12 CONFIGURATION
 if [ ${config} -eq 7 ] ;  then
     ## Restartability tests for AMM12
     export TEST_NAME="LONG"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12  add_key "key_tide"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8
     cd ${SETTE_DIR}
     . param.cfg
@@ -556,4 +592,5 @@
     set_namelist namelist nn_dyn2d 2
     set_namelist namelist nn_tra_dta 0
+    set_namelist namelist cn_ocerst_in amm12.restart_20070101
     set_namelist namelist jpni 8
     set_namelist namelist jpnj 4
@@ -591,8 +628,8 @@
 
 if [ ${config} -eq 8 ] ;  then
-    ## Reproducibility tests for AMM12
-    export TEST_NAME="REPO_8_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 add_key "key_mpp_rep key_tide"
+## Reproducibility tests for AMM12
+    export TEST_NAME="REPRO_8_4"
+    cd ${SETTE_DIR}
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep"
     cd ${SETTE_DIR}
     . param.cfg
@@ -610,4 +647,5 @@
     set_namelist namelist nn_dyn2d 2
     set_namelist namelist nn_tra_dta 0
+    set_namelist namelist cn_ocerst_in amm12.restart_20070101
     set_namelist namelist jpni 8
     set_namelist namelist jpnj 4
@@ -619,5 +657,5 @@
 
     cd ${SETTE_DIR}
-    export TEST_NAME="REPO_4_8"
+    export TEST_NAME="REPRO_4_8"
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
@@ -629,4 +667,5 @@
     set_namelist namelist nn_tra_dta 0
     set_namelist namelist ln_clobber .true.
+    set_namelist namelist cn_ocerst_in amm12.restart_20070101
     set_namelist namelist jpni 4
     set_namelist namelist jpnj 8
@@ -643,5 +682,5 @@
     export TEST_NAME="SHORT"
     cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_mpp_mpi key_agrif" del_key "key_zdftmx"
+    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_mpi key_mpp_rep key_agrif" del_key "key_zdftmx"
     cd ${SETTE_DIR}
     . param.cfg
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette_beginner.sh	(revision 3679)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/SETTE/sette_beginner.sh	(revision 3680)
@@ -38,5 +38,5 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=PW6_VARGAS
+COMPILER=gfortran_osx
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
@@ -58,6 +58,6 @@
 # Run for GYRE CONFIG
 # small test to start
-# compile GYRE configuration with gfortran_osx compiler run with 1 proc, by default in cpp_GYRE.fcm file : 
-export TEST_NAME="prova_beginner"
+# compile GYRE configuration with gfortran_osx compiler run with 4 proc : 
+export TEST_NAME="SHORT_TEST"
 cd ${SETTE_DIR}
 . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi"
@@ -83,5 +83,5 @@
 cd ${SETTE_DIR}
 . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
-# run job, with 1 processor, test named SHORT (= 60 time steps)
+# run job, with 4 processors, test named SHORT (= 60 time steps)
 cd ${SETTE_DIR}   
-. ./fcm_job.sh 4 ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+. ./fcm_job.sh $NRPOC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
